<?php

require_once(rootDir() . 'modules/pmsi/php/etudes/cardioInterventionnelle/Mention.php');
require_once(rootDir() . 'modules/pmsi/php/etudes/cardioInterventionnelle/Modalite.php');
require_once(rootDir() . 'modules/pmsi/php/etudes/cardioInterventionnelle/FamilleActes.php');
require_once(rootDir() . 'modules/pmsi/php/etudes/cardioInterventionnelle/cdc2022/AbstractCardio.php');


class Ischemique_old extends AbstractCardio
{
    //Cardiopathies ischémiques et structurelles de l'adulte

    protected $modalite;

    public function __construct()
    {
        parent::__construct();
        $this->modalite = new Modalite("ISCH", "Cardiopathies ischémiques et structurelles de l'adulte");
    }

    public function checkCdcIsValid($year)
    {

        $mentionIschemique = new Mention($this->modalite, "A");
        $nbActesTotal = 0;

        $listeAngioplastieCodes = array('CTI_CARDIO_ISCHEMIQUES_ACTES_2022', 'CTI_CARDIO_ISCHEMIQUES_ACTES_HS_2022');
        $ischaAngioplastie = new FamilleActes($mentionIschemique, "Angioplastie coronarienne", $listeAngioplastieCodes, 400);

        $nbActesAngio = $ischaAngioplastie->getNbActes($this->iCTI_connexion, $year);
        $nbActesTotal += $nbActesAngio;

        // 400 actes d'angioplastie coronarienne.
        if ($ischaAngioplastie->checkSeuilActes($this->iCTI_connexion, $year, $nbActesAngio)){
            $mentionIschemique->setCdcIsValid(true);
        }

        $listeSeptumCodes = array('CTI_CARDIO_FERM_SEPTUM_ACTES_2022');
        $ischaSeptum = new FamilleActes($mentionIschemique, "Fermeture septum", $listeSeptumCodes, 15);
        $nbActesSeptum = $ischaSeptum->getNbActes($this->iCTI_connexion, $year);
        $nbActesTotal += $nbActesSeptum;

        //Dans le cas où le titulaire de l'autorisation pratique en sus des fermetures de septum interauriculaires,
        //le seuil pour ce type d'actes est fixé à 15.
        if ($nbActesSeptum > 0) {
            if (!$ischaSeptum->checkSeuilActes($this->iCTI_connexion, $year, $nbActesSeptum)){
                $mentionIschemique->setCdcIsValid(false);
            }
        }
        $mentionIschemique->setNbActesTotal($nbActesTotal);
        $this->insertEtudeIsValid($mentionIschemique, $year);
    }
}